<?php
$show_scroll_to_top_button = get_theme_mod('show_scroll_to_top_button', true);
$button_extra_class = '';
if (true == get_theme_mod('hide_button_on_mobile_device', true)) {
	$button_extra_class = ' hide-button-on-mobile';
}
$showFooterTop = get_theme_mod('show_footer_top_section', true);
$showFooterBottom = get_theme_mod('show_footer_bottom_section', true);
$footerClasses = ' footer-layout';
?>
</div><!-- #content -->
<footer id="colophon" class="site-footer<?php echo esc_attr($footerClasses);?>">
	<!-- Footer Sidebar -->
	<?php
	if (true == $showFooterTop) {
		get_template_part('template-parts/footer/footer-top-area');
	}
	if (true == $showFooterBottom) {
		get_template_part('template-parts/footer/footer-bottom-area');
	}
	?>
	<!-- Footer Copyright Section -->
	<section class="site-copyright">
		<div class="container">
			<div class="row">
				<div class="col-md-12 align-self-center">
					<div class="site-info author-portfolio-text-center">
						<div class="site-copyright-text d-inline-block">
						<?php
						echo wp_kses_post( get_theme_mod('copyright_text', __( 'Copyright <i class="fa fa-copyright" aria-hidden="true"></i> 2025. All rights reserved.', 'author-portfolio' )));
						?>
						</div>
					</div><!-- .site-info -->
					<?php
					if(false === author_portfolio_has_explicit_content()) :
						author_portfolio_theme_by();
					endif;
					?>
				</div>
			</div>
		</div>
	</section>
</footer><!-- #colophon -->
<?php if(true == $show_scroll_to_top_button) : ?>
<div class="scrooltotop<?php echo esc_attr($button_extra_class);?>">
	<a href="#" class="fa fa-angle-up"></a>
</div>
<?php endif; ?>